package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "KEYRANGE"
)
public class KEYRANGE {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "STARTRANGE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String startrange;
   @XmlAttribute(
      name = "ENDRANGE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String endrange;
   @XmlAttribute(
      name = "SRCINSTANCENAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String srcinstancename;
   @XmlAttribute(
      name = "GROUP"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String group;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getSTARTRANGE() {
      return this.startrange;
   }

   public void setSTARTRANGE(String value) {
      this.startrange = value;
   }

   public String getENDRANGE() {
      return this.endrange;
   }

   public void setENDRANGE(String value) {
      this.endrange = value;
   }

   public String getSRCINSTANCENAME() {
      return this.srcinstancename;
   }

   public void setSRCINSTANCENAME(String value) {
      this.srcinstancename = value;
   }

   public String getGROUP() {
      return this.group;
   }

   public void setGROUP(String value) {
      this.group = value;
   }
}
